> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omniall.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 视频重绘 API

> OmniAll 自研视频重绘接入指南：源视频链接、分辨率与按秒计费。

# 视频重绘 API

传入源视频公网链接，异步返回高清重绘成片。用于补细节、修模糊与 AI 违和感（非超分）。

| 说明 | 方法 | 路径 |
| - | - | - |
| 创建 | `POST` | `/v1/video/generations`（亦可 `/v1/videos`） |
| 查询 | `GET` | `/v1/video/generations/{task_id}` |

**API 主机：** `https://api.omniall.ai` · 鉴权 `Authorization: Bearer sk-...` · 模型：`omniall-redraw-1`

| 项 | 说明 |
| - | - |
| `resolution` | `720p` / `1080p` / `4k`（默认 1080p） |
| `seconds` / `duration` | `max(4, ceil(源时长-0.1))`，最长 60 秒 |
| `video_url` | 必填；别名 `url` / `videos` / `reference_videos` |
| `prompt` | 必填，可写 `"重绘"` |

```bash theme={null}
curl -X POST "https://api.omniall.ai/v1/video/generations" \
  -H "Authorization: Bearer $API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "omniall-redraw-1",
    "prompt": "重绘",
    "video_url": "https://cdn.example.com/clip.mp4",
    "seconds": 6,
    "resolution": "1080p"
  }'
```

完整字段与排错见 **API Reference → 平台 API → 视频重绘**。


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.